Bug 640865 (CVE-2010-3840) - CVE-2010-3840 MySQL: crash when loading data into geometry function PolyFromWKB() (MySQL Bug#51875)
Summary: CVE-2010-3840 MySQL: crash when loading data into geometry function PolyFromW...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3840
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 645637 645638 645642 645643 645647 645651 652553 652554 833943
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-07 00:01 UTC by Vincent Danen
Modified: 2019-09-29 12:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:20:40 UTC


Attachments (Terms of Use)
upstream patch (2.03 KB, patch)
2010-10-14 09:15 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0824 normal SHIPPED_LIVE Moderate: mysql security update 2010-11-03 20:04:50 UTC
Red Hat Product Errata RHSA-2010:0825 normal SHIPPED_LIVE Moderate: mysql security update 2010-11-03 20:21:33 UTC
Red Hat Product Errata RHSA-2011:0164 normal SHIPPED_LIVE Moderate: mysql security update 2011-01-18 18:42:37 UTC

Description Vincent Danen 2010-10-07 00:01:32 UTC
A flaw in MySQL versions prior to 5.1.51 [1] was reported [2] that could allow an authenticated user to cause the MySQL server to crash when improper WKB data was passed to the PolyFromWKB() function.

There is an upstream patch [3] to correct the issue.

[1] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-51.html
[2] http://bugs.mysql.com/bug.php?id=51875
[3] http://lists.mysql.com/commits/117094

Comment 2 Vincent Danen 2010-10-12 20:23:20 UTC
This issue has been assigned the name CVE-2010-3840:

http://article.gmane.org/gmane.comp.security.oss.general/3627

Comment 3 Huzaifa S. Sidhpurwala 2010-10-14 09:15:53 UTC
Created attachment 453413 [details]
upstream patch

Comment 10 Huzaifa S. Sidhpurwala 2010-10-20 11:16:19 UTC
This issue did NOT affect the versions of the mysql package, as shipped with
Red Hat Enterprise Linux 3

This issue affects the version of mysql package, as shipped with Red Hat
Enterprise Linux 4, 5 and 6.
--

This issue affects the version of mysql package, as shipped with Fedora 12 and
13.

Comment 13 Huzaifa S. Sidhpurwala 2010-10-22 06:36:03 UTC
Created mysql tracking bugs for this issue

Affects: fedora-12 [bug 645647]

Comment 14 Huzaifa S. Sidhpurwala 2010-10-22 06:43:07 UTC
Created mysql tracking bugs for this issue

Affects: fedora-13 [bug 645651]

Comment 18 errata-xmlrpc 2010-11-03 20:04:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0824 https://rhn.redhat.com/errata/RHSA-2010-0824.html

Comment 19 errata-xmlrpc 2010-11-03 20:21:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0825 https://rhn.redhat.com/errata/RHSA-2010-0825.html

Comment 22 errata-xmlrpc 2011-01-18 18:42:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html


Note You need to log in before you can comment on or make changes to this bug.